Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040392
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2019-03-15 10:322019-03-28 14:56
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisiona121302dfba6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040392: Cannot modify payment plan of an invoice if it is already modified

DescriptionCannot modify payment plan of an invoice if it is already modified
Steps To ReproduceAs System Admin mode:
   Set Modify Payment Plan field in Payment Plan tab of Purchase Invoice and Sales Invoice windows

Compile the window and restart Tomcat

As group admin role:
   Create a Purchase Invoice with a total amount of 381.15 and complete it
   Modify it's Payment Plan:
      1) Change the amount of the line to 200
      2) Add a new line with a different Due date and Payment Method and an amount of 181.15
   Submit
   Refresh the tab and check two lines are created
   Modify it's Payment Plan again: try to change the Payment Method in the second line
   Check the following error message is shown:
      "One or more fields contain illegal values, check the errors for each field."
   The Outstanding field of the two lines appear in red
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110485)
markmm82 (developer)
2019-03-18 22:36

Test Plan:
As System Admin mode:
   Set Modify Payment Plan field in Payment Plan tab of Purchase Invoice and Sales Invoice windows

Compile the window and restart Tomcat

As group admin role:
   Create a Purchase Invoice with a total amount of 381.15 and complete it
   Modify it's Payment Plan:
      1) Change the amount of the line to 200
      2) Add a new line with a different Due date and Payment Method and an amount of 181.15
   Submit
   Refresh the tab and check two lines are created
   Modify it's Payment Plan again: try to change the Payment Method in the second line
   Check no error message is shown.

   Modify it's Payment Plan again: try to change the amounts in both lines keeping the sum of them equals than the outstanding origina amount (381.15). For example you can exchange the amount of each line, set 200 in the second line and 181.15 in the first line.
   Submit
   Refresh the tab and check two lines are updated with the previously changed amounts.

   Modify it's Payment Plan again: try to change the amounts in any line in a way that the sum of the new outstanding amounts is different than the original one (381.15). For example you set 400 in the second line .
   Submit
   Check an error message is shown.
      "One or more fields contain illegal values, check the errors for each field."
   The Outstanding field of the two lines appear in red as the sum of the new enetered outstanding amount is different tha the original one.
(0110637)
markmm82 (developer)
2019-03-25 20:19
edited on: 2019-03-25 20:19

Test Plan 2: Repeat the process more than once.
As System Admin mode:
   Set Modify Payment Plan field in Payment Plan tab of Purchase Invoice and Sales Invoice windows

Compile the window and restart Tomcat

As group admin role:
   Create a Purchase Invoice with a total amount of 381.15 and complete it
   Modify it's Payment Plan:
      1) Change the amount of the line to 200
      2) Add a new line with a different Due date and Payment Method and an amount of 181.15
   Submit
   Refresh the tab and check two lines are created
   Modify it's Payment Plan again: try to change the Payment Method in the second line
   Check no error message is shown.

   Modify it's Payment Plan again: try to change the amount in the line with 200:
      1) Change the amount of the line to 100
      2) Add a new line with a different Due date and Payment Method. Notice that Outstanding amount is automatically set as 100 as it is the amount remaining not included in other lines.
   Submit
   Refresh the tab and check three lines are there
   Modify it's Payment Plan again: try to change the Payment Method in any line
   Check no error message is shown.

(0110655)
hgbot (developer)
2019-03-26 12:27

Repository: erp/devel/pi
Changeset: a121302dfba615e486bbfcd4fe8caaed6116e051
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Mon Mar 18 18:27:33 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/a121302dfba615e486bbfcd4fe8caaed6116e051 [^]

Fixes issue 40392: Can't modify an invoice payment plan if it's already modified

This solution takes into account all the Payment Plan lines when calculating that
modified outstanding amounts are modified.
Also, all the payment plan expected amounts are updated if the sum of the updated
outstandings amounts are equals than original outstanding amount of the invoice instead
of just update the last record.

Also when a new record is added are taken into account all the lines and the new
outstanding amount is calculated by subtract to the total expected the total already paid
and the total outstanding in the existing lines.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-utilities.js
---
(0110657)
Sandrahuguet (developer)
2019-03-26 13:02

Code review + testing OK
(0110892)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-15 10:32 ngarcia New Issue
2019-03-15 10:32 ngarcia Assigned To => Triage Finance
2019-03-15 10:32 ngarcia Modules => Core
2019-03-15 10:32 ngarcia Triggers an Emergency Pack => No
2019-03-15 10:33 ngarcia Issue Monitored: networkb
2019-03-15 10:39 Sandrahuguet Assigned To Triage Finance => markmm82
2019-03-15 16:52 jfrances Issue Monitored: jfrances
2019-03-18 22:25 markmm82 Status new => scheduled
2019-03-18 22:37 markmm82 Note Added: 0110485
2019-03-25 20:19 markmm82 Note Added: 0110637
2019-03-25 20:19 markmm82 Note Edited: 0110637 View Revisions
2019-03-26 12:27 hgbot Checkin
2019-03-26 12:27 hgbot Note Added: 0110655
2019-03-26 12:27 hgbot Status scheduled => resolved
2019-03-26 12:27 hgbot Resolution open => fixed
2019-03-26 12:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a121302dfba615e486bbfcd4fe8caaed6116e051 [^]
2019-03-26 13:02 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-26 13:02 Sandrahuguet Note Added: 0110657
2019-03-26 13:02 Sandrahuguet Status resolved => closed
2019-03-26 13:02 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110892


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker